
Redmine - Defect #3179

Settings-tab erronously displayed for role, or: Internal error accessing Settings

2009-04-15 16:56 - Oskar Nordquist

Status: Closed Start date: 2009-04-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.4   

Resolution: Fixed Affected version:  

Description

I have a project where "Issue tracking" module is disabled. However, for a user whose role allows management of issues the

Settings tab is visible, but accessing the Settings page throws an internal error. Settings works fine for a role having access to

enabled modules.

Associated revisions

Revision 2674 - 2009-04-19 10:45 - Jean-Philippe Lang

Fixed: an error is raised when no tab is available on project settings (#3179).

History

#1 - 2009-04-15 17:02 - Oskar Nordquist

- File production.log added

#2 - 2009-04-19 10:40 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.4

- Resolution set to Fixed

The error is fixed in r2674.

The Settings tab will still be displayed to avoid expensive computations on each page rendering.

#3 - 2009-04-24 18:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2681.

Files

production.log 5.94 KB 2009-04-15 Oskar Nordquist
